#### D.4.19.13 setNmzOption

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  setNmzOption(string s, int onoff);

Purpose:
  If `onoff=1` the option `s` is activated, and if `onoff=0` it is deactivated. The Normaliz options are accessible via the following names:
  `-s: supp`
  `-t: triang`
  `-v: volume`
  `-p: hvect`
  `-1: height1`
  `-n: normal`
  `-N: normal_l`
  `-h: hilb`
  `-d: dual`
  `-a: allf`
  `-c: control`
  `-e: errorcheck`
  `-B: bigint` Use GMP for arbitrary precision integers
  `-x=N: threads` In this case the int parameter is used to set the number of threads N, 0 means no explicit limiting.

  In the next version of this library the options will be accessible via their standard Normaliz 3.0 names.

Example:

    LIB "normaliz.lib";
    setNmzOption("hilb",1);
    ==> 1
    showNmzOptions();
    ==>  -f -h

See also: showNmzOptions.

User manual for Singular version 4-0-3, 2016, generated by texi2html.